Name:          arduino-lulzbot
Version:       0
Release:       0.1.20140320%{?dist}
Summary:       Arduino libraries for LulzBot 3D printers (AO-10x, TAZ)
Group:         Development/Tools
License:       BSD and ISC and LGPLv2+ and GPLv2+
URL:           https://www.lulzbot.com/support/downloads
BuildArch:     noarch
Source0:       http://devel.lulzbot.com/TAZ/accessories/dual_extruder/dual_extruder-1.0/software/ArduinoAddons.tar
BuildRequires: dos2unix
Requires:      arduino-core

%description
This package provides the hardware and library source files necessary
for use with the Arduino IDE and core libraries to compile firmware
for the LulzBot AO-10x and TAZ 3D printers.  These printers, made by
Aleph Objects, Inc., are certified under the Free Software Foundation
"Respects Your Freedom" program.

%prep
%setup -q -n ArduinoAddons

# remove files for ancient version of Arduino
rm -rf Arduino_0.xx

# remove precompiled bootloader binaries (elf and hex files)
find . \( -name \*.hex -o -name \*.elf \) -exec rm {} \;

# fix line endings, preserving timestamps
dos2unix -k Arduino_1.x.x/hardware/Sanguino/bootloaders/atmega/ATmegaBOOT_168.c

%build
# nothing needed here

%install
mkdir -p %{buildroot}%{_datadir}/arduino/hardware
mkdir -p %{buildroot}%{_datadir}/arduino/libraries
tar -C Arduino_1.x.x -cf - . | tar -C %{buildroot}%{_datadir}/arduino -xf -

%files
%{_datadir}/arduino/hardware/rambo
%{_datadir}/arduino/hardware/Sanguino
%{_datadir}/arduino/libraries/LiquidCrystal
%{_datadir}/arduino/libraries/SPI
%{_datadir}/arduino/libraries/U8glib

%changelog
* Mon Nov 24 2014 Eric Smith <brouhaha@fedoraproject.org> - 0-0.1.20140320
- Initial version.
